Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 298855 - Stable request for dev-db/tora-2.1.1
Summary: Stable request for dev-db/tora-2.1.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Tobias Scherbaum (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 285475
Blocks: 302468
  Show dependency tree
 
Reported: 2009-12-29 13:26 UTC by Samuli Suominen
Modified: 2010-02-13 18:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info for system with blockers (einfo,3.74 KB, text/plain)
2010-01-04 18:02 UTC, Thomas Kahle (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2009-12-29 13:26:19 UTC
dev-db/tora doesn't depend on kde-base/kdelibs:3.5 but it's inheriting deprecated kde-functions.eclass, this is wrong, migrate to qt3.eclass if needed

dev-db/tora/tora-2.1.0.ebuild:inherit eutils kde-functions
dev-db/tora/tora-1.3.21-r1.ebuild:inherit eutils kde-functions

seems to be fixed in 2.1.1, need it stable then
Comment 1 Tobias Scherbaum (RETIRED) gentoo-dev 2009-12-31 09:32:43 UTC
Please mark as stable:

=dev-db/tora-2.1.1
Comment 2 Tobias Scherbaum (RETIRED) gentoo-dev 2009-12-31 09:33:21 UTC
Uhrm, adding arches.
Comment 3 Thomas Kahle (RETIRED) gentoo-dev 2010-01-04 17:49:46 UTC
Hi, 

On x86, when USE="postgres" is set, tora-2.1.1 cannot be built against an otherwise stable system, because of blockers. tora-2.1.0 does not show this, it pulls only dev-db/postgresql-base-8.1.11.

$ USE="postgres" emerge -pvN tora                                                18:42:05 Mon,04.Jan

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] app-admin/eselect-postgresql-0.3  3 kB
[ebuild  N    ] dev-db/libpq-8.1.11  USE="nls pam readline ssl threads zlib -kerberos -pg-intdatetime" 11,461 kB
[ebuild  N    ] dev-python/egenix-mx-base-3.1.2  7,976 kB                                                       
[ebuild  N    ] dev-db/postgresql-8.1.11  USE="nls pam perl python readline ssl xml zlib -doc -kerberos -pg-intdatetime (-selinux) -tcl -test" 0 kB                                                                                                                   
[ebuild  N    ] dev-db/postgresql-base-8.1.11  USE="nls pam readline ssl threads zlib -doc -kerberos -pg-intdatetime" LINGUAS="de es fr it -af -cs -fa -hr -hu -ko -nb -pl -pt_BR -ro -ru -sk -sl -sv -tr -zh_CN -zh_TW" 0 kB                                         
[ebuild  N    ] virtual/postgresql-server-8.1  0 kB                                                                                
[ebuild  N    ] virtual/postgresql-base-8.1  0 kB                                                                                  
[ebuild   R   ] x11-libs/qt-sql-4.5.3  USE="iconv mysql postgres* qt3support sqlite (-aqua) -debug -firebird -odbc -pch" 0 kB
[ebuild  N    ] x11-libs/qscintilla-2.4  USE="python -doc" 0 kB
[ebuild  N    ] dev-python/qscintilla-python-2.4  USE="-debug" 0 kB
[ebuild  N    ] dev-db/tora-2.1.1  USE="mysql postgres -debug -oci8-instant-client -oracle" 0 kB
[blocks B     ] dev-db/libpq ("dev-db/libpq" is blocking dev-db/postgresql-base-8.1.11)
[blocks B     ] dev-db/postgresql ("dev-db/postgresql" is blocking dev-db/postgresql-base-8.1.11)
[blocks B     ] dev-db/postgresql-base ("dev-db/postgresql-base" is blocking dev-db/libpq-8.1.11)
[blocks B     ] dev-db/libpq ("dev-db/libpq" is blocking app-admin/eselect-postgresql-0.3)

Total: 11 packages (10 new, 1 reinstall), Size of downloads: 19,438 kB
Conflict: 4 blocks (4 unsatisfied)
Comment 4 Thomas Kahle (RETIRED) gentoo-dev 2010-01-04 18:02:20 UTC
Created attachment 215187 [details]
emerge --info for system with blockers
Comment 5 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-05 12:52:29 UTC
This has to do with the new PostgreSQL virtuals...maybe you can uninstall  anything PostgreSQL related and try again.
Comment 6 Thomas Kahle (RETIRED) gentoo-dev 2010-01-05 16:54:51 UTC
(In reply to comment #5)
> This has to do with the new PostgreSQL virtuals...maybe you can uninstall 
> anything PostgreSQL related and try again.

There was nothing of that installed, and I can confirm the problem on my 'productive system' and a chroot. 

Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-05 17:05:18 UTC
Another one for the slacking PostgreSQL team.
Comment 8 Samuli Suominen gentoo-dev 2010-01-05 17:15:25 UTC
(In reply to comment #7)
> Another one for the slacking PostgreSQL team.
> 

I can reproduce this too on my ~amd64 without any postgres installed.

BTW, This is the last(!) non-masked package in entire gentoo-x86 that's using KDE3's eclasses, so it's holding up the clean up of those. So if postgres is broken, moreover, it doesn't get solved soon, I propose dropping the USE flag here
Comment 9 Patrick Lauer gentoo-dev 2010-01-07 11:13:33 UTC
# USE="gnutls postgres" emerge -pv tora

[snip]

[ebuild  N    ] dev-db/postgresql-server-8.4.2-r1  USE="nls perl python xml -doc (-selinux) -tcl -uuid" LINGUAS="-af -cs -de -es -fa -fr -hr -hu -it -ko -nb -pl -pt_BR -ro -ru -sk -sl -sv -tr -zh_CN -zh_TW" 0 kB  

[snip]

[ebuild  N    ] dev-db/tora-2.1.1  USE="mysql postgres -debug -oci8-instant-client -oracle" 5,231 kB

works here as expected
Comment 10 Patrick Lauer gentoo-dev 2010-01-07 11:17:28 UTC
Ok, this is a funny one - on stable systems the keywording is messed up a bit. Once the new postgresql-{base,server} ebuilds go stable the deps will be proper.

Btw,
RDEPEND="${DEPEND}"
DEPEND="

That looks quite wrong to me, it leaves an empty rdepend. I doubt that this app will run without the support libs listed as depends.
Comment 11 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-07 17:15:53 UTC
x86 stable
Comment 12 Samuli Suominen gentoo-dev 2010-01-07 18:21:10 UTC
amd64 stable
Comment 13 Thomas Kahle (RETIRED) gentoo-dev 2010-01-08 10:44:14 UTC
emerge blocks solved by stabilization of postgresql.
Comment 14 nixnut (RETIRED) gentoo-dev 2010-01-12 18:21:28 UTC
ppc stable
Comment 15 Jeroen Roovers gentoo-dev 2010-01-22 17:07:36 UTC
Stable for HPPA.
Comment 16 Raúl Porcel (RETIRED) gentoo-dev 2010-02-13 18:07:05 UTC
alpha stable, closing